{% extends 'base.html.twig' %}

{% block title %}Category index{% endblock %}

{% block body %}

<ul class="nav bg-dark">
  <li class="nav-item">
    <a class="btn btn-dark" aria-current="page" href="/">Home</a>
  </li>
  <li class="nav-item">
    <a class="btn btn-dark" href="/products">Product</a>
  </li>
  <li class="nav-item">
    <a class="btn btn-dark active" href="/category">Categories</a>
  </li>
 
</ul>

    <h1>Category index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Description</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for category in categories %}
            <tr>
                <td>{{ category.id }}</td>
                <td>{{ category.name }}</td>
                <td>{{ category.description }}</td>
                <td>
                    <a class="btn btn-dark" href="{{ path('category_show', {'id': category.id}) }}">show</a>
                    <a class="btn btn-dark" href="{{ path('category_edit', {'id': category.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class="btn btn-dark" href="{{ path('category_new') }}">Create new</a>
    {% endblock %}
